OpenNMS API 1.2.9

## org.opennms.netmgt.config.discovery
Class DiscoveryConfiguration

    java.lang.Object
      org.opennms.netmgt.config.discovery.DiscoveryConfiguration

All Implemented Interfaces:
  java.io.Serializable

public class DiscoveryConfiguration
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` `_excludeRangeList`
`private boolean` `_has_initialSleepTime` keeps track of state for field: _initialSleepTime
`private boolean` `_has_packetsPerSecond` keeps track of state for field: _packetsPerSecond
`private boolean` `_has_restartSleepTime` keeps track of state for field: _restartSleepTime
`private boolean` `_has_retries` keeps track of state for field: _retries
`private boolean` `_has_threads` keeps track of state for field: _threads
`private boolean` `_has_timeout` keeps track of state for field: _timeout
`private java.util.ArrayList` `_includeRangeList`
`private java.util.ArrayList` `_includeUrlList`
`private long` `_initialSleepTime`
`private int` `_packetsPerSecond`
`private long` `_restartSleepTime`
`private int` `_retries`
`private java.util.ArrayList` `_specificList`
`private int` `_threads`
`private long` `_timeout`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`DiscoveryConfiguration()`

Method Summary
`void` `addExcludeRange(ExcludeRange vExcludeRange)`
`void` `addExcludeRange(int index, ExcludeRange vExcludeRange)`
`void` `addIncludeRange(IncludeRange vIncludeRange)`
`void` `addIncludeRange(int index, IncludeRange vIncludeRange)`
`void` `addIncludeUrl(IncludeUrl vIncludeUrl)`
`void` `addIncludeUrl(int index, IncludeUrl vIncludeUrl)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addSpecific(int index, Specific vSpecific)`
`void` `addSpecific(Specific vSpecific)`
`void` `clearExcludeRange()`
`void` `clearIncludeRange()`
`void` `clearIncludeUrl()`
`void` `clearSpecific()`
`void` `deleteRetries()`
`void` `deleteTimeout()`
`java.util.Enumeration` `enumerateExcludeRange()`
`java.util.Enumeration` `enumerateIncludeRange()`
`java.util.Enumeration` `enumerateIncludeUrl()`
`java.util.Enumeration` `enumerateSpecific()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`ExcludeRange[]` `getExcludeRange()`
`ExcludeRange` `getExcludeRange(int index)`
`java.util.Collection` `getExcludeRangeCollection()`
`int` `getExcludeRangeCount()`
`IncludeRange[]` `getIncludeRange()`
`IncludeRange` `getIncludeRange(int index)`
`java.util.Collection` `getIncludeRangeCollection()`
`int` `getIncludeRangeCount()`
`IncludeUrl[]` `getIncludeUrl()`
`IncludeUrl` `getIncludeUrl(int index)`
`java.util.Collection` `getIncludeUrlCollection()`
`int` `getIncludeUrlCount()`
`long` `getInitialSleepTime()` Returns the value of field 'initialSleepTime'.
`int` `getPacketsPerSecond()` Returns the value of field 'packetsPerSecond'.
`long` `getRestartSleepTime()` Returns the value of field 'restartSleepTime'.
`int` `getRetries()` Returns the value of field 'retries'.
`Specific[]` `getSpecific()`
`Specific` `getSpecific(int index)`
`java.util.Collection` `getSpecificCollection()`
`int` `getSpecificCount()`
`int` `getThreads()` Returns the value of field 'threads'.
`long` `getTimeout()` Returns the value of field 'timeout'.
`boolean` `hasInitialSleepTime()`
`boolean` `hasPacketsPerSecond()`
`boolean` `hasRestartSleepTime()`
`boolean` `hasRetries()`
`boolean` `hasThreads()`
`boolean` `hasTimeout()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeExcludeRange(ExcludeRange vExcludeRange)`
`boolean` `removeIncludeRange(IncludeRange vIncludeRange)`
`boolean` `removeIncludeUrl(IncludeUrl vIncludeUrl)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeSpecific(Specific vSpecific)`
`void` `setExcludeRange(ExcludeRange[] excludeRangeArray)`
`void` `setExcludeRange(int index, ExcludeRange vExcludeRange)`
`void` `setExcludeRangeCollection(java.util.Collection vExcludeRange)`
`void` `setIncludeRange(IncludeRange[] includeRangeArray)`
`void` `setIncludeRange(int index, IncludeRange vIncludeRange)`
`void` `setIncludeRangeCollection(java.util.Collection vIncludeRange)`
`void` `setIncludeUrl(IncludeUrl[] includeUrlArray)`
`void` `setIncludeUrl(int index, IncludeUrl vIncludeUrl)`
`void` `setIncludeUrlCollection(java.util.Collection vIncludeUrl)`
`void` `setInitialSleepTime(long initialSleepTime)` Sets the value of field 'initialSleepTime'.
`void` `setPacketsPerSecond(int packetsPerSecond)` Sets the value of field 'packetsPerSecond'.
`void` `setRestartSleepTime(long restartSleepTime)` Sets the value of field 'restartSleepTime'.
`void` `setRetries(int retries)` Sets the value of field 'retries'.
`void` `setSpecific(int index, Specific vSpecific)`
`void` `setSpecific(Specific[] specificArray)`
`void` `setSpecificCollection(java.util.Collection vSpecific)`
`void` `setThreads(int threads)` Sets the value of field 'threads'.
`void` `setTimeout(long timeout)` Sets the value of field 'timeout'.
`static DiscoveryConfiguration` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _threads

    private int _threads

### _has_threads

    private boolean _has_threads

  keeps track of state for field: _threads

### _packetsPerSecond

    private int _packetsPerSecond

### _has_packetsPerSecond

    private boolean _has_packetsPerSecond

  keeps track of state for field: _packetsPerSecond

### _initialSleepTime

    private long _initialSleepTime

### _has_initialSleepTime

    private boolean _has_initialSleepTime

  keeps track of state for field: _initialSleepTime

### _restartSleepTime

    private long _restartSleepTime

### _has_restartSleepTime

    private boolean _has_restartSleepTime

  keeps track of state for field: _restartSleepTime

### _retries

    private int _retries

### _has_retries

    private boolean _has_retries

  keeps track of state for field: _retries

### _timeout

    private long _timeout

### _has_timeout

    private boolean _has_timeout

  keeps track of state for field: _timeout

### _specificList

    private java.util.ArrayList _specificList

### _includeRangeList

    private java.util.ArrayList _includeRangeList

### _excludeRangeList

    private java.util.ArrayList _excludeRangeList

### _includeUrlList

    private java.util.ArrayList _includeUrlList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### DiscoveryConfiguration

    public DiscoveryConfiguration()

Method Detail

### addExcludeRange

    public void addExcludeRange(ExcludeRange vExcludeRange)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vExcludeRange` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addExcludeRange

    public void addExcludeRange(int index,
                                ExcludeRange vExcludeRange)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vExcludeRange` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addIncludeRange

    public void addIncludeRange(IncludeRange vIncludeRange)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vIncludeRange` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addIncludeRange

    public void addIncludeRange(int index,
                                IncludeRange vIncludeRange)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vIncludeRange` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addIncludeUrl

    public void addIncludeUrl(IncludeUrl vIncludeUrl)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vIncludeUrl` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addIncludeUrl

    public void addIncludeUrl(int index,
                              IncludeUrl vIncludeUrl)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vIncludeUrl` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addSpecific

    public void addSpecific(Specific vSpecific)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vSpecific` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addSpecific

    public void addSpecific(int index,
                            Specific vSpecific)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vSpecific` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearExcludeRange

    public void clearExcludeRange()

### clearIncludeRange

    public void clearIncludeRange()

### clearIncludeUrl

    public void clearIncludeUrl()

### clearSpecific

    public void clearSpecific()

### deleteRetries

    public void deleteRetries()

### deleteTimeout

    public void deleteTimeout()

### enumerateExcludeRange

    public java.util.Enumeration enumerateExcludeRange()

### enumerateIncludeRange

    public java.util.Enumeration enumerateIncludeRange()

### enumerateIncludeUrl

    public java.util.Enumeration enumerateIncludeUrl()

### enumerateSpecific

    public java.util.Enumeration enumerateSpecific()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getExcludeRange

    public ExcludeRange getExcludeRange(int index)
                                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getExcludeRange

    public ExcludeRange[] getExcludeRange()

### getExcludeRangeCollection

    public java.util.Collection getExcludeRangeCollection()

### getExcludeRangeCount

    public int getExcludeRangeCount()

### getIncludeRange

    public IncludeRange getIncludeRange(int index)
                                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getIncludeRange

    public IncludeRange[] getIncludeRange()

### getIncludeRangeCollection

    public java.util.Collection getIncludeRangeCollection()

### getIncludeRangeCount

    public int getIncludeRangeCount()

### getIncludeUrl

    public IncludeUrl getIncludeUrl(int index)
                             throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getIncludeUrl

    public IncludeUrl[] getIncludeUrl()

### getIncludeUrlCollection

    public java.util.Collection getIncludeUrlCollection()

### getIncludeUrlCount

    public int getIncludeUrlCount()

### getInitialSleepTime

    public long getInitialSleepTime()

  Returns the value of field 'initialSleepTime'.

  Returns:
    the value of field 'initialSleepTime'.

### getPacketsPerSecond

    public int getPacketsPerSecond()

  Returns the value of field 'packetsPerSecond'.

  Returns:
    the value of field 'packetsPerSecond'.

### getRestartSleepTime

    public long getRestartSleepTime()

  Returns the value of field 'restartSleepTime'.

  Returns:
    the value of field 'restartSleepTime'.

### getRetries

    public int getRetries()

  Returns the value of field 'retries'.

  Returns:
    the value of field 'retries'.

### getSpecific

    public Specific getSpecific(int index)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getSpecific

    public Specific[] getSpecific()

### getSpecificCollection

    public java.util.Collection getSpecificCollection()

### getSpecificCount

    public int getSpecificCount()

### getThreads

    public int getThreads()

  Returns the value of field 'threads'.

  Returns:
    the value of field 'threads'.

### getTimeout

    public long getTimeout()

  Returns the value of field 'timeout'.

  Returns:
    the value of field 'timeout'.

### hasInitialSleepTime

    public boolean hasInitialSleepTime()

### hasPacketsPerSecond

    public boolean hasPacketsPerSecond()

### hasRestartSleepTime

    public boolean hasRestartSleepTime()

### hasRetries

    public boolean hasRetries()

### hasThreads

    public boolean hasThreads()

### hasTimeout

    public boolean hasTimeout()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeExcludeRange

    public boolean removeExcludeRange(ExcludeRange vExcludeRange)

  Parameters:
    `vExcludeRange` -

### removeIncludeRange

    public boolean removeIncludeRange(IncludeRange vIncludeRange)

  Parameters:
    `vIncludeRange` -

### removeIncludeUrl

    public boolean removeIncludeUrl(IncludeUrl vIncludeUrl)

  Parameters:
    `vIncludeUrl` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeSpecific

    public boolean removeSpecific(Specific vSpecific)

  Parameters:
    `vSpecific` -

### setExcludeRange

    public void setExcludeRange(int index,
                                ExcludeRange vExcludeRange)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vExcludeRange` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setExcludeRange

    public void setExcludeRange(ExcludeRange[] excludeRangeArray)

  Parameters:
    `excludeRangeArray` -

### setExcludeRangeCollection

    public void setExcludeRangeCollection(java.util.Collection vExcludeRange)

  Parameters:
    `vExcludeRange` -

### setIncludeRange

    public void setIncludeRange(int index,
                                IncludeRange vIncludeRange)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vIncludeRange` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setIncludeRange

    public void setIncludeRange(IncludeRange[] includeRangeArray)

  Parameters:
    `includeRangeArray` -

### setIncludeRangeCollection

    public void setIncludeRangeCollection(java.util.Collection vIncludeRange)

  Parameters:
    `vIncludeRange` -

### setIncludeUrl

    public void setIncludeUrl(int index,
                              IncludeUrl vIncludeUrl)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vIncludeUrl` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setIncludeUrl

    public void setIncludeUrl(IncludeUrl[] includeUrlArray)

  Parameters:
    `includeUrlArray` -

### setIncludeUrlCollection

    public void setIncludeUrlCollection(java.util.Collection vIncludeUrl)

  Parameters:
    `vIncludeUrl` -

### setInitialSleepTime

    public void setInitialSleepTime(long initialSleepTime)

  Sets the value of field 'initialSleepTime'.

  Parameters:
    `initialSleepTime` - the value of field 'initialSleepTime'

### setPacketsPerSecond

    public void setPacketsPerSecond(int packetsPerSecond)

  Sets the value of field 'packetsPerSecond'.

  Parameters:
    `packetsPerSecond` - the value of field 'packetsPerSecond'

### setRestartSleepTime

    public void setRestartSleepTime(long restartSleepTime)

  Sets the value of field 'restartSleepTime'.

  Parameters:
    `restartSleepTime` - the value of field 'restartSleepTime'

### setRetries

    public void setRetries(int retries)

  Sets the value of field 'retries'.

  Parameters:
    `retries` - the value of field 'retries'.

### setSpecific

    public void setSpecific(int index,
                            Specific vSpecific)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vSpecific` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setSpecific

    public void setSpecific(Specific[] specificArray)

  Parameters:
    `specificArray` -

### setSpecificCollection

    public void setSpecificCollection(java.util.Collection vSpecific)

  Parameters:
    `vSpecific` -

### setThreads

    public void setThreads(int threads)

  Sets the value of field 'threads'.

  Parameters:
    `threads` - the value of field 'threads'.

### setTimeout

    public void setTimeout(long timeout)

  Sets the value of field 'timeout'.

  Parameters:
    `timeout` - the value of field 'timeout'.

### unmarshal

    public static DiscoveryConfiguration unmarshal(java.io.Reader reader)
                                            throws org.exolab.castor.xml.MarshalException,
                                                   org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.